Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.content.dynamic
Class DynamicContentKey

    java.lang.Object
      com.servingxml.components.content.dynamic.DynamicContentKey

All Implemented Interfaces:
  Key

    public final class DynamicContentKey

extends java.lang.Object
implements Key

This class provides an implementation of a key used to uniquely identify XML documents.

Constructor Summary
`DynamicContentKey(Name name)`
`DynamicContentKey(Name name, Record parameters)`
`DynamicContentKey(Name name, Record parameters, KeyIdentifier identifier)`

Method Summary
`boolean` | `equals(java.lang.Object anObject)` Compares this key to the specified object.
`java.lang.Object[]` | `getFieldValues()`
`Name` | `getName()`
`java.lang.Object` | `getValue(java.lang.String attributeName)`
`java.lang.Object` | `getValue(java.lang.String attributeName, java.lang.Object defaultValue)`
`int` | `hashCode()` Returns a hash code value for this key.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DynamicContentKey

    public DynamicContentKey(Name name)

### DynamicContentKey

    public DynamicContentKey(Name name,
                             Record parameters)

### DynamicContentKey

    public DynamicContentKey(Name name,
                             Record parameters,
                             KeyIdentifier identifier)

Method Detail

### getName

    public final Name getName()

### getValue

    public final java.lang.Object getValue(java.lang.String attributeName)

### getValue

    public final java.lang.Object getValue(java.lang.String attributeName,
                                           java.lang.Object defaultValue)

### getFieldValues

    public final java.lang.Object[] getFieldValues()

### equals

    public boolean equals(java.lang.Object anObject)

  Compares this key to the specified object.

  Specified by:
    `equals` in interface `Key`
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `anObject` - the object being tested for equality.
  Returns:
    `true` if the two keys are equal, `false` otherwise.

### hashCode

    public int hashCode()

  Returns a hash code value for this key.

  Specified by:
    `hashCode` in interface `Key`
  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    a hash code value for this key.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD